## wildmidi 0.3.7

=== CMakeLists.txt ===
# ########## Project setup ##########
PROJECT(wildmidi C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

# WildMIDI Version
SET(VERSION_MAJOR 0)
SET(VERSION_MINOR 3)
SET(VERSION_RELEASE 7)
SET(WILDMIDI_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")

# Lib Versions
SET(SOVERSION 1)
SET(VERSION 1.1.2)

# Find Macros
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

INCLUDE(CMakeDependentOption)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCSourceCompiles)
INCLUDE(CheckIncludeFile)
INCLUDE(TestBigEndian)

# Set a default build type if none was specified
IF(NOT DEFINED CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "")
  MESSAGE(STATUS "Setting build type to 'Debug' as none was specified.")
  SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  SET_PROPERTY(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
ENDIF()
SET(CMAKE_CONFIGURATION_TYPES "${CMAKE_BUILD_TYPE}")
MESSAGE(STATUS "Build Type: ${CMAKE_BUILD_TYPE}")

# Set our optoins
OPTION(WANT_PLAYER      "Build WildMIDI player in addition to the libraries" ON)
OPTION(WANT_STATIC      "Build static library in addition to dynamic library" OFF)
CMAKE_DEPENDENT_OPTION(WANT_PLAYERSTATIC "Build a statically linked WildMIDI player" ON "WANT_STATIC" OFF)
OPTION(WANT_ALSA        "Include ALSA (Advanced Linux Sound Architecture) support" OFF)
OPTION(WANT_OSS         "Include OSS (Open Sound System) support" OFF)
OPTION(WANT_OPENAL      "Include OpenAL suport (Cross Platform) support" OFF)
IF(UNIX AND NOT APPLE)
SET(WILDMIDI_CFG "/etc/wildmidi/wildmidi.cfg" CACHE STRING "default config location")
ELSE()
SET(WILDMIDI_CFG "wildmidi.cfg" CACHE STRING "default config location")
ENDIF()

# Platform specific defines
IF(UNIX)
    # allow 'large' files in 32 bit builds
    ADD_DEFINITIONS(
        -D_LARGEFILE_SOURCE
        -D_FILE_OFFSET_BITS=64
        -D_LARGE_FILES
        )
ENDIF()

IF(WIN32)
    ADD_DEFINITIONS(
        -DWIN32_LEAN_AND_MEAN
        -D_CRT_SECURE_NO_WARNINGS
        )
ENDIF()

# Compiler specific settings
IF(CMAKE_COMPILER_IS_GNUCC OR "${CMAKE_C_COMPILER_ID}" MATCHES "Clang")
    ADD_DEFINITIONS(
        -Wall -W
        -fno-common
        )

    IF(NOT WIN32 AND NOT CYGWIN)
        SET(OLD_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
        SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS} -Werror")
        CHECK_C_SOURCE_COMPILES("int foo(void) __attribute__((visibility(\"default\")));
                                 int main(void) {return 0;}" HAVE_VISIBILITY_DEFAULT)
        IF(HAVE_VISIBILITY_DEFAULT)
            CHECK_C_COMPILER_FLAG(-fvisibility=hidden HAVE_VISIBILITY_HIDDEN)
        ENDIF()
        SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS}")
    ENDIF()

    IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
        ADD_DEFINITIONS( -ggdb3 -O0 )
    ELSEIF(CMAKE_BUILD_TYPE STREQUAL "Release")
        ADD_DEFINITIONS( -O3 )
    ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")
ENDIF()

IF("${CMAKE_C_COMPILER_ID}" MATCHES "SunPro")
    SET(OLD_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS} -xldscope=hidden")
# __SUNPRO_C >= 0x590
#   CHECK_C_SOURCE_COMPILES("int foo(void) __attribute__((visibility(\"default\")));
#                            int main(void) {return 0;}" HAVE_VISIBILITY_DEFAULT)
# __SUNPRO_C >= 0x550
    CHECK_C_SOURCE_COMPILES("__global int foo(void);
                             int main(void) {return 0;}" HAVE_LDSCOPE_GLOBAL)
    IF(HAVE_LDSCOPE_GLOBAL)# OR HAVE_VISIBILITY_DEFAULT
        SET(HAVE_LDSCOPE_HIDDEN 1)
    ENDIF()
    SET(CMAKE_REQUIRED_FLAGS "${OLD_REQUIRED_FLAGS}")
ENDIF()

CHECK_C_SOURCE_COMPILES("int main(void) {__builtin_expect(0,0); return 0;}" HAVE___BUILTIN_EXPECT)

CHECK_C_SOURCE_COMPILES("static inline int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C_INLINE)
CHECK_C_SOURCE_COMPILES("static __inline__ int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C___INLINE__)
CHECK_C_SOURCE_COMPILES("static __inline int static_foo() {return 0;}
                         int main(void) {return 0;}" HAVE_C___INLINE)

TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

SET(AUDIODRV_ALSA)
SET(AUDIODRV_OSS)
SET(AUDIODRV_OPENAL)

# UNIX-like environments
IF(UNIX AND NOT APPLE)

    # Go looking for available sound packages for WildMIDI player
    IF(WANT_PLAYER OR WANT_PLAYERSTATIC)
        FIND_PACKAGE(ALSA)
        FIND_PACKAGE(OpenAL)
        FIND_PACKAGE(OSS)

        # Set preferred output
        IF(WANT_ALSA)
            IF(NOT ALSA_FOUND)
                MESSAGE(FATAL_ERROR "ALSA required but not found.")
            ENDIF()
            SET(AUDIODRV_ALSA 1)
            SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
            # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
            # but that requires cmake-2.8.11 or newer
            INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})

        ELSEIF(WANT_OSS)
            IF(NOT OSS_FOUND)
                MESSAGE(FATAL_ERROR "OSS required but not found.")
            ENDIF()
            # no special header paths
            SET(AUDIODRV_OSS 1)
            SET(AUDIO_LIBRARY ${OSS_LIBRARY})

        ELSEIF(WANT_OPENAL)
            IF(NOT OPENAL_FOUND)
                MESSAGE(FATAL_ERROR "OpenAL required but not found.")
            ENDIF()
            SET(AUDIODRV_OPENAL 1)
            SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
            # but that requires cmake-2.8.11 or newer
            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

        ELSE() # Try to auto-detect

            IF(ALSA_FOUND)
                SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
                SET(AUDIODRV_ALSA 1)
                # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
                # but that requires cmake-2.8.11 or newer
                INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})

            ELSEIF(OSS_FOUND)
                # no special header paths
                SET(AUDIO_LIBRARY ${OSS_LIBRARY})
                SET(AUDIODRV_OSS 1)

            ELSEIF(OPENAL_FOUND)
                SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
                SET(AUDIODRV_OPENAL 1)
                # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
                # but that requires cmake-2.8.11 or newer
                INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

            ELSE()
                MESSAGE(WARNING "Could not find an audio sub-system!")
                SET(AUDIO_LIBRARY "")
            ENDIF()

        ENDIF()
    ENDIF()

    # find our math lib
    FIND_LIBRARY(M_LIBRARY m REQUIRED)

    ## Debian and non debian Linux building
    IF (DPKG_PROGRAM)
        ## Debian specific
    ELSE ()
        ## Non debian specific
    ENDIF (DPKG_PROGRAM)
ENDIF(UNIX AND NOT APPLE)

IF (APPLE AND (WANT_PLAYER OR WANT_PLAYERSTATIC))
    FIND_PACKAGE(OpenAL)

    IF(WANT_OPENAL)
        IF(NOT OPENAL_FOUND)
            MESSAGE(FATAL_ERROR "OpenAL required but not found.")
        ENDIF()
        SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})

    ELSE()
        IF(OPENAL_FOUND)
            SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
            SET(AUDIODRV_OPENAL 1)
            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
            # but that requires cmake-2.8.11 or newer
            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})

        ELSE()
            MESSAGE(WARNING "Could not find an audio sub-system!")
            SET(AUDIO_LIBRARY "")
        ENDIF()

    ENDIF()
ENDIF()

IF(WIN32)
    IF (WANT_PLAYER OR WANT_PLAYERSTATIC)
        LINK_LIBRARIES(winmm)
    ENDIF()
ENDIF(WIN32)

# ######### General setup ##########
INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")
FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")

IF(APPLE)
    SET(APP_BUNDLE_NAME "${CMAKE_PROJECT_NAME}.app")
    SET(APP_BUNDLE_DIR "${wildmidi_BINARY_DIR}/${APP_BUNDLE_NAME}")
ENDIF(APPLE)

IF(APPLE)
    SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${APP_BUNDLE_DIR}/Contents/MacOS")
ELSE(APPLE)
    SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${wildmidi_BINARY_DIR}")
ENDIF(APPLE)

# Setup up our config file
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/include/config.h.cmake" "${CMAKE_BINARY_DIR}/include/config.h")

ADD_SUBDIRECTORY(src)

## wildmidi 0.2.2

=== debian/changelog ===
wildmidi (0.2.2-3) unstable; urgency=low

  * debian/libwildmidi0.symbols,
    debian/patches/08_export-symbols-regex.patch,
    debian/patches/99_autoreconf.patch:
    + Add export symbols regex to only export symbols that should be exported.
  * debian/patches/07_invalid-free.patch:
    + Patch by Benjamin Otte to fix an invalid free.
      https://bugzilla.gnome.org/show_bug.cgi?id=618247
  * debian/source/format,
    debian/rules:
    + Switch to source format 3.0 (quilt).
  * debian/rules:
    + Generate correct shlibs file and fail the build if the symbols file
      is wrong.
  * debian/control:
    + Update Standards-Version to 3.8.4.
    + Line-wrap control fields.
    + Add ${misc:Depends} to the -dev package.
    + Make shared library package dependency of the -dev package
      more strict to fix a lintian warning.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 May 2010 06:31:11 +0200

wildmidi (0.2.2-2) unstable; urgency=low

  * debian/rules,
    debian/libwildmidi0.install,
    debian/wildmidi.cfg,
    debian/patches/06_wildmidi.cfg-path.patch:
    + Recommend freepats and put a default wildmidi configuration using
      freepats into /etc/wildmidi/wildmidi.cfg.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Feb 2008 06:51:39 +0100

wildmidi (0.2.2-1) unstable; urgency=low

  [ Emmet Hikory ]
  * Initial release. (Closes: #465030)

  [ Sebastian Dröge ]
  * debian/patches/01_config-parser.patch:
    + Fix parsing of redirects and pat lines with ".pat" at the end in
      config files. Patch based on the one from the Fedora package.
  * debian/patches/02_memleaks.patch:
    + Fix some memory leaks.
  * debian/patches/03_arch-none.patch:
    + Patch taken from the Fedora package to allow compilation without
      arch specific optimizations.
  * debian/patches/04_alsa-no-mmap.patch:
    + Patch taken from the Fedora package to use normal ALSA write functions
      instead of MMAP to work with pulseaudio.
  * debian/patches/05_am-maintainer-mode.patch:
    + Add AM_MAINTAINER_MODE to configure.ac.
  * debian/patches/99_autoreconf.patch:
    + Regenerated autoconf/automake stuff for the above changes.
  * debian/control:
    + Use alsa on Linux systems.
  * debian/rules:
    + Adjust default path for config file.

 -- Emmet Hikory <emmet.hikory@gmail.com>  Mon, 11 Feb 2008 09:21:00 +0900

=== debian/control ===
Source: wildmidi
Section: sound
Priority: optional
Maintainer: Emmet Hikory <emmet.hikory@gmail.com>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
               cdbs,
               autotools-dev,
               libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.4
Homepage: http://wildmidi.sourceforge.net/

Package: wildmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: software MIDI player
 Minimal MIDI player implementation based on the wildmidi library

Package: libwildmidi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: freepats
Description: software MIDI player library
 MIDI streaming library designed to process a midi file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.

Package: libwildmidi-dev
Section: libdevel
Architecture: any
Depends: libwildmidi0 (= ${binary:Version}),
         ${misc:Depends}
Description: software MIDI player library headers
 MIDI streaming library designed to process a midi file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the development headers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-werror --without-arch --disable-static --with-timidity-cfg=/etc/wildmidi/wildmidi.cfg
DEB_INSTALL_CHANGELOGS_ALL := changelog

DEB_DH_MAKESHLIBS_ARGS_libwildmidi0 += -V 'libwildmidi0 (>= 0.2.2)' -- -c4

## wildmidi 0.2.3.2

=== debian/changelog ===
wildmidi (0.2.3.2-2) unstable; urgency=low

  * debian/patches/01_wildmidi-static-follows-non-static-declaration.patch:
    + Fix build failure of the OSS sound output support.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Jul 2010 06:14:32 +0200

wildmidi (0.2.3.2-1) unstable; urgency=low

  * New upstream release:
    + debian/control,
      debian/libwildmidi[01].install,
      debian/libwildmidi[01].symbols:
      - Update for new soname.
    + debian/wildmidi.install,
      debian/libwildmidi0.install,
      debian/libwildmidi-dev.install:
      - Add manpages, which are now CC BY-SA 3.0 licensed.
    + debian/copyright:
      - Update copyright for the CC BY-SA 3.0 manpages.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Jul 2010 07:37:05 +0200

wildmidi (0.2.3.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    + Dropped documentation from original source tarball because
      it's licensed under a non-free Creative Commons non-commercial
      license.
    + debian/patches/01_config-parser.patch,
      debian/patches/02_memleaks.patch,
      debian/patches/03_arch-none.patch,
      debian/patches/04_alsa-no-mmap.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/07_invalid-free.patch,
      debian/patches/08_export-symbols-regex.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
    + debian/copyright:
      - Update licenses to GPLv3 and LGPLv3.
    + debian/control,
      debian/rules,
      debian/libwildmidi0.symbols:
      - Update symbols and shlibs version and add a Breaks
        against gstreamer0.10-plugins-bad (<< 0.10.19-2) because
        of API changes without a soname change. No other package
        is using the library right now and upstream is now aware
        of the problem.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 08:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,13 @@
 Description: software MIDI player
  Minimal MIDI player implementation based on the wildmidi library
 
-Package: libwildmidi0
+Package: libwildmidi1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: freepats
+Replaces: libwildmidi0
 Description: software MIDI player library
  MIDI streaming library designed to process a midi file and stream the results
  as stereo audio data through a buffer which an external program can then
@@ -31,7 +32,7 @@
 Package: libwildmidi-dev
 Section: libdevel
 Architecture: any
-Depends: libwildmidi0 (= ${binary:Version}),
+Depends: libwildmidi1 (= ${binary:Version}),
          ${misc:Depends}
 Description: software MIDI player library headers
  MIDI streaming library designed to process a midi file and stream the results

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-werror --without-arch --disable-static --with-timidity-cfg=/etc/wildmidi/wildmidi.cfg
DEB_INSTALL_CHANGELOGS_ALL := 

DEB_DH_MAKESHLIBS_ARGS_libwildmidi1 += -V 'libwildmidi1 (>= 0.2.3)' -- -c4

## wildmidi 0.2.3.4

=== debian/changelog ===
wildmidi (0.2.3.4-2.1ubuntu3) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 28 Jan 2014 14:46:14 -0500

wildmidi (0.2.3.4-2.1ubuntu2) saucy; urgency=low

  * Build --with autotools_dev to fix arm64 build.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 20:17:26 +1100

wildmidi (0.2.3.4-2.1ubuntu1) raring; urgency=low

  * No change upload to raring to ensure that the version is newer than 
    the one SRUed in precise for lp: #924508

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Nov 2012 16:16:52 +0100

wildmidi (0.2.3.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix Replaces line. (Closes: #636201)

 -- Jessica McKellar <jesstess@mit.edu>  Sun, 21 Aug 2011 14:35:33 -0400

wildmidi (0.2.3.4-2) unstable; urgency=low

  * Split out libwildmidi-config to comply with Policy 8.2
  * Add Multi-Arch support
    - debian/control: add Multi-Arch:, Pre-Depends, bump debhelper version
    - debian/libwildmidi{1,-dev}.install: adjust library paths
    - debian/compat: increase to compatibility level 9
  * debian/control: use [linux-any] for Build-Depends (Closes: 634748)
  * Bump Policy to 3.9.2

 -- Emmet Hikory <emmet.hikory@gmail.com>  Fri, 29 Jul 2011 01:58:52 +0900

wildmidi (0.2.3.4-1) unstable; urgency=low

  * New upstream release
  * Drop 01_wildmidi-static-follows-non-static-declaration: adopted upstream
  * 06_wildmidi.cfg-path: rebase
  * 07_manpage_conformity: manpage syntax cleanups
  * Bump policy to 3.9.1
  * Migrate to dh(1)
  * Pass --with-wildmidi-cfg instead of --with-timidity-cfg (Closes: 608654)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Tue, 22 Feb 2011 02:01:40 +0900

=== debian/control ===
Source: wildmidi
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emmet Hikory <emmet.hikory@gmail.com>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               dh-autoreconf,
               libasound2-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://wildmidi.sourceforge.net/

Package: wildmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: software MIDI player
 Minimal MIDI player implementation based on the wildmidi library

Package: libwildmidi1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwildmidi-config,
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libwildmidi0
Description: software MIDI player library
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.

Package: libwildmidi-dev
Section: libdevel
Architecture: any
Depends: libwildmidi1 (= ${binary:Version}),
         ${misc:Depends}
Description: software MIDI player library headers
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the development headers and relevant documentation

Package: libwildmidi-config
Section: misc
Architecture: all
Multi-Arch: foreign
Breaks: libwildmidi1 (<< 0.2.3.4-2~)
Replaces: libwildmidi1 (<< 0.2.3.4-2~)
Depends: ${misc:Depends}
Recommends: freepats
Description: software MIDI player configuration
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the configuration files and relevant documentation

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-werror --without-arch --disable-static \
	--with-wildmidi-cfg=/etc/wildmidi/wildmidi.cfg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libwildmidi1 (>=0.2.3)' -- -c4

=== debian/watch ===
version=3

http://sf.net/wildmidi/wildmidi-(.+)\.tar\.gz

## wildmidi 0.3.7

=== debian/changelog ===
wildmidi (0.3.7-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release
  * Updated watch file
  * Added upstream changelog

 -- Bret Curtis <psi29a@gmail.com>  Thu, 05 Jun 2014 08:35:33 +0100

wildmidi (0.3.5-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release

 -- Bret Curtis <psi29a@gmail.com>  Tue, 18 Mar 2014 08:35:33 +0100

wildmidi (0.3.3-4) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 05-hurd-ONLCR.patch - Fix building on hurd, define __USE_XOPEN
  * Set VERBOSE=1 for cmake magic that fixes "compiler-flags-hidden" warning
  * Do out-of-tree build, gives us a cleaner build

 -- Bret Curtis <psi29a@gmail.com>  Thu, 13 Feb 2014 13:35:33 +0100

wildmidi (0.3.3-3) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 03-kfreebsd-fixes.patch - Fix audio auto-detection on kfreebsd
  * Patch: 04-SYMBOL.patch - Moved SYMBOL to wildmidi_lib.c (Closes: 738721)

 -- Bret Curtis <psi29a@gmail.com>  Wed, 12 Feb 2014 12:35:33 +0100

wildmidi (0.3.3-2) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 01-hurd-autodetect.patch - Fix building on hurd
  * Patch: 02-version-bump.patch - Bump version to 0.3.3
  * Updated copyright file

 -- Bret Curtis <psi29a@gmail.com>  Tue, 11 Feb 2014 14:35:33 -0400

wildmidi (0.3.3-1) unstable; urgency=low

  [ Bret Curtis ]
  * Fix segfaulting when running with reverb (Closes: 711658)
  * Fix upstream to forked repo (Closes: 735277)
  * Fix FTBFS on x32 (Closes: 702756)

  [ Scott Howard ]
  * Updated libwildmidi1.symbols

 -- Bret Curtis <psi29a@gmail.com>  Sat, 18 Jan 2014 08:35:33 -0400

=== debian/control ===
Source: wildmidi
Section: sound
Priority: optional
Maintainer: Bret Curtis <psi29a@gmail.com>
Uploaders: Emmet Hikory <emmet.hikory@gmail.com>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9~),
               cmake,
               libasound2-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://www.mindwerks.net/projects/wildmidi/

Package: wildmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: software MIDI player
 Minimal MIDI player implementation based on the wildmidi library that
 can either dump to WAV or playback over ALSA. It is intended to
 demonstrate the features of libWildMidi, including: reberb, logarithmic
 volume and high-quality linear or gauss resampling.

Package: libwildmidi1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwildmidi-config,
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libwildmidi0
Description: software MIDI player library
 MIDI streaming library designed to process a MIDI file using sound patches
 and stream the results as stereo audio data through a buffer which an 
 external program can then process further.

Package: libwildmidi-dev
Section: libdevel
Architecture: any
Depends: libwildmidi1 (= ${binary:Version}),
         ${misc:Depends}
Description: software MIDI player library headers
 MIDI streaming library designed to process a MIDI file using sound patches
 and stream the results as stereo audio data through a buffer which an 
 external program can then process further.
 .
 This package contains the development headers, static library and symlinks
 to libWildMidi.so.1

Package: libwildmidi-config
Section: misc
Architecture: all
Multi-Arch: foreign
Breaks: libwildmidi1 (<< 0.2.3.4-2~)
Replaces: libwildmidi1 (<< 0.2.3.4-2~)
Depends: ${misc:Depends}
Recommends: freepats
Description: software MIDI player configuration
 MIDI streaming library designed to process a MIDI file using sound patches
 and stream the results as stereo audio data through a buffer which an 
 external program can then process further.
 .
 This package contains the configuration files and relevant documentation

=== debian/watch ===
version=3
https://github.com/psi29a/wildmidi/releases .*wildmidi-([0-9]\.[0-9]\.[0-9]).tar.gz

## wildmidi 0.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # WildMIDI Version
 SET(VERSION_MAJOR 0)
 SET(VERSION_MINOR 3)
-SET(VERSION_RELEASE 7)
+SET(VERSION_RELEASE 8)
 SET(WILDMIDI_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 # Lib Versions

=== djgpp/Makefile ===
#------------------------------------------------------------------------------#
# This is a Makefile for building libWildMidi using GNU Make and GNU C compiler
# You will need a GCC/DJGPP package and GNU make to do it painlessly.
#------------------------------------------------------------------------------#
# Targets:
# - all (default): make libWildMidi.a library and wildmidi.exe
# - clean: clean up (remove all generated files)
#------------------------------------------------------------------------------#

# Set to 1 for debug build
DEBUG = 0

# The tools
ifeq ($(CROSS),)
CC=gcc
AS=as
AR=ar
RANLIB=ranlib
else
CC=$(CROSS)-gcc
AS=$(CROSS)-as
AR=$(CROSS)-ar
RANLIB=$(CROSS)-ranlib
endif

INCLUDE = -I. -I../include
CFLAGS = $(INCLUDE) -Wall -W -fno-common
ARFLAGS = cr

# SB output support (comment out if not wanted)
CFLAGS+= -DAUDIODRV_DOSSB
SB_OBJ = dosirq.o dosdma.o dossb.o

LD = $(CC)
LDFLAGS = -L. -lWildMidi -lm

# build for pentium and newer (comment out if not wanted)
CFLAGS += -march=i586
ifeq ($(DEBUG),1)
CFLAGS += -g
else
CFLAGS += -O2 -fomit-frame-pointer -ffast-math
LDFLAGS+= -s
endif

# Build rules
%.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<
%.o: ../src/%.c
	$(CC) -c $(CFLAGS) -o $@ $<

# Objects
LIB_OBJ= wm_error.o file_io.o lock.o wildmidi_lib.o reverb.o gus_pat.o
PLAYER_OBJ= $(SB_OBJ) getopt_long.o wm_tty.o wildmidi.o

# Build targets
TARGETS = libWildMidi.a wildmidi.exe

.PHONY: clean distclean
all: $(TARGETS)

libWildMidi.a: $(LIB_OBJ)
	$(AR) $(ARFLAGS) $@ $^
	$(RANLIB) $@

wildmidi.exe: libWildMidi.a $(PLAYER_OBJ)
	$(LD) -o $@ $(PLAYER_OBJ) $(LDFLAGS)

clean:
	rm -rf $(LIB_OBJ) $(PLAYER_OBJ)
distclean: clean
	rm -rf $(TARGETS)

=== src/CMakeLists.txt ===
# Setup our wildmidi library that we link to
SET(wildmidi_library_SRCS
    wm_error.c
    file_io.c
    lock.c
    wildmidi_lib.c
    reverb.c
    gus_pat.c
)

SET(wildmidi_library_HDRS
    ../include/wm_error.h
    ../include/file_io.h
    ../include/lock.h
    ../include/wildmidi_lib.h
    ../include/reverb.h
    ../include/gus_pat.h
    ../include/common.h
    ../include/filenames.h
)

IF(MSVC)
   SET(GETOPT getopt_long.c)
ELSE()
   SET(GETOPT)
ENDIF()
SET(wildmidi_executable_SRCS
    ${GETOPT}
    wm_tty.c
    wildmidi.c
)

SET(wildmidi_executable_HDRS
    ../include/wm_tty.h
    ../include/getopt_long.h
)

# set our target paths
SET(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}")
SET(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}")

# set our library names
IF(WIN32 AND NOT CMAKE_COMPILER_IS_MINGW) # windows uses *.lib for both static and dynamic, workaround
    SET(LIBRARY_DYN_NAME "wildmidi_dynamic")
    SET(LIBRARY_STATIC_NAME "wildmidi_static")
ELSE() # everyone else uses .a and .so
    SET(LIBRARY_DYN_NAME "WildMidi")
    SET(LIBRARY_STATIC_NAME "WildMidi")
ENDIF()

# do we want a static library?
IF(WANT_STATIC)
    ADD_LIBRARY(libwildmidi_static STATIC
        ${wildmidi_library_SRCS}
        ${wildmidi_library_HDRS}
        )

    TARGET_LINK_LIBRARIES(libwildmidi_static
        ${M_LIBRARY}
        )

    SET_TARGET_PROPERTIES(libwildmidi_static PROPERTIES
        OUTPUT_NAME ${LIBRARY_STATIC_NAME} CLEAN_DIRECT_OUTPUT 1
        COMPILE_DEFINITIONS WILDMIDI_BUILD
        )
ENDIF(WANT_STATIC)

# always build our dynamic library
ADD_LIBRARY(libwildmidi_dynamic SHARED
    ${wildmidi_library_SRCS}
    ${wildmidi_library_HDRS}
    )

TARGET_LINK_LIBRARIES(libwildmidi_dynamic
    ${M_LIBRARY}
    )

SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
    SOVERSION ${SOVERSION}
    VERSION ${VERSION}
    OUTPUT_NAME ${LIBRARY_DYN_NAME} CLEAN_DIRECT_OUTPUT 1
    )

IF(WIN32)
    SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
        DEFINE_SYMBOL DLL_EXPORT
        COMPILE_DEFINITIONS WILDMIDI_BUILD
    )
ELSEIF(HAVE_VISIBILITY_HIDDEN AND HAVE_VISIBILITY_DEFAULT) # GCC, Clang
    SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
        COMPILE_DEFINITIONS "WILDMIDI_BUILD;SYM_VISIBILITY"
        COMPILE_FLAGS "-fvisibility=hidden"
    )
#ELSEIF(HAVE_LDSCOPE_HIDDEN AND HAVE_VISIBILITY_DEFAULT) # SunPro (__SUNPRO_C >= 0x590)
#   SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
#       COMPILE_DEFINITIONS "WILDMIDI_BUILD;SYM_VISIBILITY"
#       COMPILE_FLAGS "-xldscope=hidden"
#   )
ELSEIF(HAVE_LDSCOPE_HIDDEN AND HAVE_LDSCOPE_GLOBAL) # SunPro (__SUNPRO_C >= 0x550)
    SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
        COMPILE_DEFINITIONS "WILDMIDI_BUILD;SYM_LDSCOPE"
        COMPILE_FLAGS "-xldscope=hidden"
    )
ELSE()
    SET_TARGET_PROPERTIES(libwildmidi_dynamic PROPERTIES
        COMPILE_DEFINITIONS WILDMIDI_BUILD
    )
ENDIF()

# Set our default and then look at the possible locations
SET(WILDMIDILIB "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.so")
SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}/lib${LIBRARY_STATIC_NAME}.a")

# MS Visual Studio
IF(MSVC)
    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}\\${CMAKE_BUILD_TYPE}\\${LIBRARY_DYN_NAME}.lib")
    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}\\${CMAKE_BUILD_TYPE}\\${LIBRARY_STATIC_NAME}.lib")
ENDIF(MSVC)

# MinGW or MinGW-w64
IF(CMAKE_COMPILER_IS_MINGW)
    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}\\lib${LIBRARY_DYN_NAME}.dll.a")
    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}\\lib${LIBRARY_STATIC_NAME}.a")
ENDIF(CMAKE_COMPILER_IS_MINGW)

# Apple's Xcode
IF(CMAKE_GENERATOR STREQUAL "Xcode")
    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE}/lib${LIBRARY_DYN_NAME}.dylib")
    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE}/lib${LIBRARY_STATIC_NAME}.a")
ELSEIF(APPLE) # Apple's CLI default
    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.dylib")
    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}/lib${LIBRARY_STATIC_NAME}.a")
ENDIF(CMAKE_GENERATOR STREQUAL "Xcode")

# do we want the wildmidi player?
IF(WANT_PLAYER)
    ADD_EXECUTABLE(wildmidi
        ${wildmidi_executable_SRCS}
        ${wildmidi_executable_HDRS}
    )

    ADD_DEPENDENCIES(wildmidi libwildmidi_dynamic)

    TARGET_LINK_LIBRARIES(wildmidi
        ${WILDMIDILIB}
        ${M_LIBRARY}
        ${AUDIO_LIBRARY}
        )
ENDIF(WANT_PLAYER)

IF(WANT_PLAYERSTATIC)
    ADD_EXECUTABLE(wildmidi-static
        ${wildmidi_executable_SRCS}
        ${wildmidi_executable_HDRS}
    )

    ADD_DEPENDENCIES(wildmidi-static libwildmidi_static)

    SET_TARGET_PROPERTIES(wildmidi-static PROPERTIES
        COMPILE_DEFINITIONS WILDMIDI_STATIC
    )

    TARGET_LINK_LIBRARIES(wildmidi-static
        ${WILDMIDILIBSTATIC}
        ${M_LIBRARY}
        ${AUDIO_LIBRARY}
        )
ENDIF(WANT_PLAYERSTATIC)

# add install target:
IF(UNIX AND NOT APPLE)
    # install our libraries
    IF(WANT_STATIC)
        INSTALL(TARGETS libwildmidi_static DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
    ENDIF(WANT_STATIC)
    INSTALL(TARGETS libwildmidi_dynamic DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")

    # install our player if asked for
    IF(WANT_PLAYER)
        INSTALL(TARGETS wildmidi DESTINATION bin)
    ENDIF(WANT_PLAYER)
    IF(WANT_PLAYERSTATIC)
        INSTALL(TARGETS wildmidi-static DESTINATION bin)
    ENDIF(WANT_PLAYERSTATIC)

    # install supporting man pages and headers
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/include/wildmidi_lib.h DESTINATION include)
    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/docs/man/ DESTINATION share/man)
ENDIF(UNIX AND NOT APPLE)

=== debian/changelog ===
wildmidi (0.3.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:50:14 +0300

wildmidi (0.3.8-1) experimental; urgency=low

  [ Bret Curtis ]
  * New upstream release
  * Library: Fixed a seek-to-0 bug in order to cure an issue of truncated
      start.
  * Player, OpenAL: reduced buffers from 8 to 4 so as to cure some output
      delay issues.

  [ Scott Howard ]
  * Added Vcs-* fields to debian/control

 -- Bret Curtis <psi29a@gmail.com>  Thu, 05 Feb 2015 08:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 9~),
                cmake,
                libasound2-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mindwerks.net/projects/wildmidi/
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wildmidi.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/wildmidi.git
 
 Package: wildmidi
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment to view all compilation commands and fix W-compiler-flags-hidden
export VERBOSE=1

#CMake silently ignores CPPFLAGS. Below will properly set CFLAGS/CXXFLAGS
#https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DWANT_STATIC=TRUE -DCMAKE_BUILD_TYPE="Release"

override_dh_installchangelogs:
	dh_installchangelogs README.md

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

%:
	dh $@ --parallel --builddirectory=build

override_dh_clean:
	dh_clean
	-rm -f include/config.h

=== debian/watch ===
version=3
https://github.com/psi29a/wildmidi/releases .*wildmidi-([0-9]+\.[0-9]+\.[0-9]+).tar.gz

## wildmidi 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # ########## Project setup ##########
 PROJECT(wildmidi C)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
 
 # WildMIDI Version
 SET(VERSION_MAJOR 0)
-SET(VERSION_MINOR 3)
-SET(VERSION_RELEASE 8)
+SET(VERSION_MINOR 4)
+SET(VERSION_RELEASE 0)
 SET(WILDMIDI_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 # Lib Versions
-SET(SOVERSION 1)
-SET(VERSION 1.1.2)
+SET(SOVERSION 2)
+SET(VERSION 2.0.0)
 
 # Find Macros
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -37,7 +37,9 @@
 CMAKE_DEPENDENT_OPTION(WANT_PLAYERSTATIC "Build a statically linked WildMIDI player" ON "WANT_STATIC" OFF)
 OPTION(WANT_ALSA        "Include ALSA (Advanced Linux Sound Architecture) support" OFF)
 OPTION(WANT_OSS         "Include OSS (Open Sound System) support" OFF)
+#OPTION(WANT_COREAUDIO   "Include CoreAudio support (Driver support for Mac OS X" OFF)
 OPTION(WANT_OPENAL      "Include OpenAL suport (Cross Platform) support" OFF)
+OPTION(WANT_DEVTEST     "Build WildMIDI DevTest file to check files" OFF)
 IF(UNIX AND NOT APPLE)
 SET(WILDMIDI_CFG "/etc/wildmidi/wildmidi.cfg" CACHE STRING "default config location")
 ELSE()
@@ -110,6 +112,9 @@
 CHECK_C_SOURCE_COMPILES("static __inline int static_foo() {return 0;}
                          int main(void) {return 0;}" HAVE_C___INLINE)
 
+CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
+CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
+
 TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
 
 SET(AUDIODRV_ALSA)
@@ -132,10 +137,6 @@
             ENDIF()
             SET(AUDIODRV_ALSA 1)
             SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
-            # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})
 
         ELSEIF(WANT_OSS)
             IF(NOT OSS_FOUND)
@@ -151,20 +152,12 @@
             ENDIF()
             SET(AUDIODRV_OPENAL 1)
             SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
-            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
         ELSE() # Try to auto-detect
 
             IF(ALSA_FOUND)
                 SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
                 SET(AUDIODRV_ALSA 1)
-                # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
-                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-                # but that requires cmake-2.8.11 or newer
-                INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})
 
             ELSEIF(OSS_FOUND)
                 # no special header paths
@@ -174,10 +167,6 @@
             ELSEIF(OPENAL_FOUND)
                 SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
                 SET(AUDIODRV_OPENAL 1)
-                # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-                # but that requires cmake-2.8.11 or newer
-                INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
             ELSE()
                 MESSAGE(WARNING "Could not find an audio sub-system!")
@@ -211,10 +200,6 @@
         IF(OPENAL_FOUND)
             SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
             SET(AUDIODRV_OPENAL 1)
-            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
         ELSE()
             MESSAGE(WARNING "Could not find an audio sub-system!")
@@ -234,6 +219,9 @@
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")
 FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")
+IF(NOT HAVE_STDINT_H) # AND NOT HAVE_INTTYPES_H
+   INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include/stdint")
+ENDIF()
 
 IF(APPLE)
     SET(APP_BUNDLE_NAME "${CMAKE_PROJECT_NAME}.app")

=== djgpp/Makefile ===
#------------------------------------------------------------------------------#
# Makefile for building WildMidi library and player for DOS.
# You will need a DJGPP build environment and GNU make to do it painlessly.
# To build natively on DOS, you need long file names support (e.g. doslfn.)
#------------------------------------------------------------------------------#
# Targets:
# - all (default): make libWildMidi.a library and wildmidi.exe
# - clean: clean up (remove all generated files)
#------------------------------------------------------------------------------#

# Set to 1 for debug build
DEBUG = 0

# Set to 1 if want to build / use a DXE3 version of the library (DJGPP-2.05 or newer)
USE_DXE = 0

# The tools
ifeq ($(CROSS),)
CC=gcc
AS=as
AR=ar
RANLIB=ranlib
else
CC=$(CROSS)-gcc
AS=$(CROSS)-as
AR=$(CROSS)-ar
RANLIB=$(CROSS)-ranlib
endif
DXE3GEN=dxe3gen

INCLUDE = -I. -I../include/stdint -I../include
CFLAGS = $(INCLUDE) -Wall -W -fno-common
ARFLAGS = cr

# SB output support (comment out if not wanted)
CFLAGS+= -DAUDIODRV_DOSSB
SB_OBJ = dosirq.o dosdma.o dossb.o

LD = $(CC)
ifneq ($(USE_DXE),1)
WM_LINK = WildMidi
else
WM_LINK = WildMidi_dxe
endif
LDFLAGS = -L. -l$(WM_LINK)

# build for pentium and newer (comment out if not wanted)
CFLAGS += -march=i586
ifeq ($(DEBUG),1)
CFLAGS += -g
else
CFLAGS += -O2 -fomit-frame-pointer -ffast-math
endif

# Build rules
%.o: %.c
	$(CC) -c $(CFLAGS) -o $@ $<
%.o: ../src/%.c
	$(CC) -c $(CFLAGS) -o $@ $<

# Objects
LIB_OBJ= wm_error.o file_io.o lock.o wildmidi_lib.o reverb.o gus_pat.o f_xmidi.o f_mus.o f_hmp.o f_midi.o f_hmi.o mus2mid.o xmi2mid.o internal_midi.o patches.o sample.o
PLAYER_OBJ= $(SB_OBJ) getopt_long.o wm_tty.o wildmidi.o

# Build targets
TARGETS = libWildMidi.a wildmidi.exe libWildMidi_dxe.a wildmidi.dxe

.PHONY: clean distclean
all: $(TARGETS)

libWildMidi.a: $(LIB_OBJ)
	$(AR) $(ARFLAGS) $@ $^
	$(RANLIB) $@

libWildMidi_dxe.a: wildmidi.dxe
wildmidi.dxe: $(LIB_OBJ)
	-$(DXE3GEN) -Y libWildMidi_dxe.a -o $@ -E _WildMidi_ -U  $^

wildmidi.exe: lib$(WM_LINK).a $(PLAYER_OBJ)
	$(LD) -o $@ $(PLAYER_OBJ) $(LDFLAGS)

clean:
	rm -rf $(LIB_OBJ) $(PLAYER_OBJ)
distclean: clean
	rm -rf $(TARGETS)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,16 @@
     wildmidi_lib.c
     reverb.c
     gus_pat.c
+    internal_midi.c
+    patches.c
+    f_xmidi.c
+    f_mus.c
+    f_hmp.c
+    f_midi.c
+    f_hmi.c
+    sample.c
+    mus2mid.c
+    xmi2mid.c
 )
 
 SET(wildmidi_library_HDRS
@@ -15,8 +25,18 @@
     ../include/wildmidi_lib.h
     ../include/reverb.h
     ../include/gus_pat.h
+    ../include/f_xmidi.h
+    ../include/f_mus.h
+    ../include/f_hmp.h
+    ../include/f_midi.h
+    ../include/f_hmi.h
+    ../include/internal_midi.h
+    ../include/patches.h
+    ../include/sample.h
     ../include/common.h
     ../include/filenames.h
+    ../include/mus2mid.h
+    ../include/xmi2mid.h
 )
 
 IF(MSVC)
@@ -119,8 +139,9 @@
 
 # MinGW or MinGW-w64
 IF(CMAKE_COMPILER_IS_MINGW)
-    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}\\lib${LIBRARY_DYN_NAME}.dll.a")
-    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}\\lib${LIBRARY_STATIC_NAME}.a")
+    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.dll.a")
+    SET(WILDMIDIDLL "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.dll")
+    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}/lib${LIBRARY_STATIC_NAME}.a")
 ENDIF(CMAKE_COMPILER_IS_MINGW)
 
 # Apple's Xcode
@@ -141,6 +162,18 @@
 
     ADD_DEPENDENCIES(wildmidi libwildmidi_dynamic)
 
+    IF(AUDIODRV_OPENAL)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi PRIVATE
+        ${OPENAL_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_ALSA)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi PRIVATE
+        ${ALSA_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_OSS)
+     # no special header paths
+    ENDIF()
+
     TARGET_LINK_LIBRARIES(wildmidi
         ${WILDMIDILIB}
         ${M_LIBRARY}
@@ -160,6 +193,18 @@
         COMPILE_DEFINITIONS WILDMIDI_STATIC
     )
 
+    IF(AUDIODRV_OPENAL)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi-static PRIVATE
+        ${OPENAL_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_ALSA)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi-static PRIVATE
+        ${ALSA_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_OSS)
+     # no special header paths
+    ENDIF()
+
     TARGET_LINK_LIBRARIES(wildmidi-static
         ${WILDMIDILIBSTATIC}
         ${M_LIBRARY}
@@ -167,7 +212,17 @@
         )
 ENDIF(WANT_PLAYERSTATIC)
 
-# add install target:
+IF(WANT_DEVTEST)
+    SET(wildmidi-devtest_executable_SRCS
+        ${GETOPT}
+        DevTest.c
+    )
+    ADD_EXECUTABLE(wildmidi-devtest
+        ${wildmidi-devtest_executable_SRCS}
+    )
+ENDIF(WANT_DEVTEST)
+
+# install target (*nix OSes)
 IF(UNIX AND NOT APPLE)
     # install our libraries
     IF(WANT_STATIC)
@@ -183,8 +238,44 @@
         INSTALL(TARGETS wildmidi-static DESTINATION bin)
     ENDIF(WANT_PLAYERSTATIC)
 
+    # install our devtest if asked for
+    IF(WANT_DEVTEST)
+        INSTALL(TARGETS wildmidi-devtest DESTINATION bin)
+    ENDIF(WANT_DEVTEST)
+
     # install supporting man pages and headers
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/include/wildmidi_lib.h DESTINATION include)
     INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/docs/man/ DESTINATION share/man)
 ENDIF(UNIX AND NOT APPLE)
 
+# install target (Windows: MinGW or MinGW-w64)
+IF(WIN32 AND CMAKE_COMPILER_IS_MINGW)
+    IF("${CMAKE_INSTALL_PREFIX}" STREQUAL "")
+        MESSAGE("INSTALL PREFIX IS EMPTY")
+        SET(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/wildmidi_lib" CACHE STRING "Install Prefix" FORCE)
+        MESSAGE("INSTALL PREFIX NOW: ${CMAKE_INSTALL_PREFIX}")
+    ENDIF("${CMAKE_INSTALL_PREFIX}" STREQUAL "" )
+    # install our libraries
+    IF(WANT_STATIC)
+        INSTALL(TARGETS libwildmidi_static DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+    ENDIF(WANT_STATIC)
+    INSTALL(FILES ${WILDMIDILIB} DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+    INSTALL(FILES ${WILDMIDIDLL} DESTINATION "bin${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+
+    # install our player if asked for
+    IF(WANT_PLAYER)
+        INSTALL(TARGETS wildmidi DESTINATION bin)
+    ENDIF(WANT_PLAYER)
+    IF(WANT_PLAYERSTATIC)
+        INSTALL(TARGETS wildmidi-static DESTINATION bin)
+    ENDIF(WANT_PLAYERSTATIC)
+
+    # install our devtest if asked for
+    IF(WANT_DEVTEST)
+        INSTALL(TARGETS wildmidi-devtest DESTINATION bin)
+    ENDIF(WANT_DEVTEST)
+
+    # install supporting man pages and headers
+    INSTALL(FILES ${CMAKE_SOURCE_DIR}/include/wildmidi_lib.h DESTINATION include)
+    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/docs/man/ DESTINATION share/man)
+ENDIF(WIN32 AND CMAKE_COMPILER_IS_MINGW)

=== debian/changelog ===
wildmidi (0.4.0-2) unstable; urgency=medium

  * Corrected copyright of docs/* to be under CC-BY-SA 4.0

 -- Bret Curtis <psi29a@gmail.com>  Mon, 12 Sep 2016 08:50:14 +0300

wildmidi (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * dbg packages automatically created now (Closes: 581035)

 -- Bret Curtis <psi29a@gmail.com>  Thu, 16 Jun 2016 08:50:14 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9~),
                cmake,
                libasound2-dev [linux-any]
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.mindwerks.net/projects/wildmidi/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wildmidi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/wildmidi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wildmidi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/wildmidi.git
 
 Package: wildmidi
 Architecture: any
@@ -21,7 +21,7 @@
  demonstrate the features of libWildMidi, including: reberb, logarithmic
  volume and high-quality linear or gauss resampling.
 
-Package: libwildmidi1
+Package: libwildmidi2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +38,7 @@
 Package: libwildmidi-dev
 Section: libdevel
 Architecture: any
-Depends: libwildmidi1 (= ${binary:Version}),
+Depends: libwildmidi2 (= ${binary:Version}),
          ${misc:Depends}
 Description: software MIDI player library headers
  MIDI streaming library designed to process a MIDI file using sound patches
@@ -52,8 +52,6 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Breaks: libwildmidi1 (<< 0.2.3.4-2~)
-Replaces: libwildmidi1 (<< 0.2.3.4-2~)
 Depends: ${misc:Depends}
 Recommends: freepats
 Description: software MIDI player configuration
